

#ifndef _PAC7311_GRAB_CMD_HANDLERS_
#define _PAC7311_GRAB_CMD_HANDLERS_


#include "pac7311-grab.h"


#define PAC7311_GRAB_MAX_FRAME_SIZE 65536


extern cmd_list_type command_list;


#define DECLARE_CMD(CMD) int CMD(int pac7311_fd, arg_value_type arg_values[]);

DECLARE_CMD(cmd_start_stream);
DECLARE_CMD(cmd_stop_stream);
DECLARE_CMD(cmd_set_reg);
DECLARE_CMD(cmd_print_reg);
DECLARE_CMD(cmd_send_ctrl_msg);
DECLARE_CMD(cmd_usleep);
DECLARE_CMD(cmd_grab_frame);
DECLARE_CMD(cmd_grab_frame_burst);
DECLARE_CMD(cmd_header_to_file);
DECLARE_CMD(cmd_jpeg_to_file);
DECLARE_CMD(cmd_raw_to_file);
DECLARE_CMD(cmd_println);


#endif
